<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-voyage-heading" jhiTranslate="icyTrainApp.voyage.home.createOrEditLabel">Create or edit a Voyage</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!editForm.get('id').value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id"
                        readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="icyTrainApp.voyage.startDate" for="field_startDate">Start Date</label>
                    <div class="d-flex">
                        <input id="field_startDate" type="datetime-local" class="form-control" name="startDate" formControlName="startDate" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="icyTrainApp.voyage.endDate" for="field_endDate">End Date</label>
                    <div class="d-flex">
                        <input id="field_endDate" type="datetime-local" class="form-control" name="endDate" formControlName="endDate" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="icyTrainApp.voyage.from" for="field_from">From</label>
                    <select class="form-control" id="field_from" name="from" formControlName="from">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="trainStationeOption.id === editForm.get('from').value?.id ? editForm.get('from').value : trainStationeOption" *ngFor="let trainStationeOption of trainstationes; trackBy: trackTrainStationeById">{{trainStationeOption.id}}</option>
                    </select>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="icyTrainApp.voyage.to" for="field_to">To</label>
                    <select class="form-control" id="field_to" name="to" formControlName="to">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="trainStationeOption.id === editForm.get('to').value?.id ? editForm.get('to').value : trainStationeOption" *ngFor="let trainStationeOption of trainstationes; trackBy: trackTrainStationeById">{{trainStationeOption.id}}</option>
                    </select>
                </div>
            </div>
            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
